Cisco IOS XR Software Enf Broker DoS (cisco-sa-iosxr-dos-WwDdghs2)

high Nessus Plugin ID 148250
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote device is missing a vendor-supplied security patch.

Description

According to its self-reported version, IOS-XR is affected by multiple denial of service vulnerabilities:

- A denial of service vulnerability exists in Cisco IOS XR due to a logic error that occurs when an affected device processes Telnet protocol packets. An unauthenticated, remote attacker can exploit this, by sending specific streams of packets to an affected device, to cause the enf_broker process to crash, which could lead to system instability and the inability to process or forward traffic through the device.
(CVE-2021-1288)

- A denial of service vulnerability exists in Cisco IOS XR due to improper resource allocation when processing either ICMP or Telnet packets. An unauthenticated, remote attacker can exploit this, by sending specific streams of packets to an affected device, to cause the enf_broker process to leak system memory, which could cause the enf_broker process to crash, which could lead to system instability and the inability to process or forward traffic through the device. (CVE-2021-1313)

Please see the included Cisco BIDs and Cisco Security Advisory for more information.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug IDs CSCuy67256 and CSCuz39742.

See Also

http://www.nessus.org/u?62a59336

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCuy67256

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCuz39742

Plugin Details

Severity: High

ID: 148250

File Name: cisco-sa-iosxr-dos-WwDdghs2-iosxr.nasl

Version: 1.7

Type: combined

Family: CISCO

Published: 3/31/2021

Updated: 4/8/2021

Dependencies: cisco_ios_xr_version.nasl, cisco_enum_smu.nasl

Configuration: Enable paranoid mode

Risk Information

CVSS Score Source: CVE-2021-1288

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: High

Base Score: 7.8

Temporal Score: 5.8

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:ios_xr

Required KB Items: Host/Cisco/IOS-XR/Version, Settings/ParanoidReport

Exploit Ease: No known exploits are available

Patch Publication Date: 2/3/2021

Vulnerability Publication Date: 2/3/2021

Reference Information

CVE: CVE-2021-1288, CVE-2021-1313